# Gold Roger

A complete media suit in docker. Handles Torrents/VPN/Indexer/Automatic downloads and many more. The only thing required outside of this is VPN access from mullvad. 

# Used software

- qBittorent
- gluetun
- jackett
- radarr
- sonarr

# Required configuration 

## VPN 

Gluetun supports many VPN providers. I use [Mullvad](https://mullvad.net/). Check the gluetun [wiki](https://github.com/qdm12/gluetun-wiki) for infomation on setting
up your provider.

## Docker Volumes

In the `bulk` volume create a `movies` and `series` directory.

Change ownership to `1000:1000` with `chown 1000:1000 -R .`.

## qBittroent

Default login is `admin` and the password is printed on the logs. After login change the password.

Downloads --> Save Management -->  Default Save Path to `/bulk/downloads`.

Connection --> Proxy server --> `SOCKS5` and `10.64.0.1` and port `1080` and check `Use proxy for peer connections`.

Advanced --> Network Interface --> `tun0`
Advanced --> IP to bind to `10.x.x.x`. The VPN IP addr.

BitTorrent --> Seeding Limits --> check `When total seeding time reaches` and set to `30`. Do not set it to 0. This will prevents sonarr/radarr from importing. Also we can't seed with mullvad vpn.

## Jackett

If desired you can set a admin password.

## Radarr / Sonarr

Authentication Method --> Forms (Login Page)
Authentication Required --> Disabled for local addresses

Set a username and a password. 

Media Management --> Root Folders --> Add root folder. Set to `/bulk/movies` for radarr and `/bulk/series` for sonarr.

Indexers --> Add --> Torznab --> Custom
    URL: Copy Torznab url from jackett. (Make sure the hostname is correct `jackett:9117`)
    API key: Copy from jackett
    Click Test

Download clients:
Add qBittorent:
    Host: `gluetun` (Because qBittorent is bound to gluetun)
    Port: `8080`
    Username: `admin`
    Password: As set in qbt
    Click test.

## Jellyfin

Create a normal user. 

Add two librarys. A movies and a series one. The paths are `/data/movies` and `/data/series`.
